Bug 1250473 - Tracker for golang-github-hashicorp-raft
Tracker for golang-github-hashicorp-raft
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: golang-github-hashicorp-raft (Show other bugs)
rawhide
All Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Fridolín Pokorný
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-05 08:07 EDT by Fridolín Pokorný
Modified: 2016-02-10 05:52 EST (History)
3 users (show)

See Also:
Fixed In Version: golang-github-hashicorp-raft-0-0.4.gitd136cd1.fc23 golang-github-hashicorp-raft-0-0.4.gitd136cd1.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-09 15:55:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Fridolín Pokorný 2015-08-05 08:07:15 EDT
Tracker for async updates of golang-github-hashicorp-raft for rawhide and other fedora distribution.

As golang devel packages are used only as a build-time dependency at the moment, this tracker keeps updates and other information about this package, e.g. broken dependencies, exceptions, important pieces of information and other issues.
Comment 1 Fedora Update System 2015-08-11 14:08:05 EDT
golang-github-hashicorp-raft-0-0.2.git6c2c8a2.fc23 has been submitted as an update for Fedora 23.
https://admin.fedoraproject.org/updates/golang-github-hashicorp-raft-0-0.2.git6c2c8a2.fc23
Comment 2 Fedora Update System 2015-08-11 14:08:47 EDT
golang-github-hashicorp-raft-0-0.2.git6c2c8a2.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/golang-github-hashicorp-raft-0-0.2.git6c2c8a2.fc22
Comment 3 Fedora Update System 2015-08-11 14:09:10 EDT
golang-github-hashicorp-raft-0-0.2.git6c2c8a2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/golang-github-hashicorp-raft-0-0.2.git6c2c8a2.fc21
Comment 4 Fedora Update System 2015-08-11 14:10:37 EDT
golang-github-hashicorp-raft-0-0.2.git6c2c8a2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/golang-github-hashicorp-raft-0-0.2.git6c2c8a2.el6
Comment 5 Fedora Update System 2015-08-12 02:57:41 EDT
Package golang-github-hashicorp-raft-0-0.2.git6c2c8a2.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing golang-github-hashicorp-raft-0-0.2.git6c2c8a2.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-13190/golang-github-hashicorp-raft-0-0.2.git6c2c8a2.fc22
then log in and leave karma (feedback).
Comment 6 Matt Domsch 2015-09-02 15:49:44 EDT
consul 0.5.2+ (current GIT head) requires newer raft package than is packaged here.  Specifically, net.Addr objects have been replaced with strings in the new raft package, and consul has been updated likewise.  Therefore to upgrade consul, raft will also have to be upgraded.

The other packages currently requiring golang-github-hashicorp-raft-devel do not appear to have changed from the builds presently in Fedora, so changing raft-devel should not break the other dependent packages:

golang-github-hashicorp-consul-migrate-devel-0:0-0.1.git4977886.fc22.noarch
golang-github-hashicorp-raft-boltdb-devel-0:0-0.1.gitd1e82c1.fc22.noarch
golang-github-hashicorp-raft-mdb-devel-0:0-0.1.git4ec3694.fc22.noarch
Comment 7 Jan Chaloupka 2015-09-04 08:04:09 EDT
Hi Matt,

the current commit is 507917748a10f81f1973bef90b2d6a43d319ef34 which corresponds to consul between 0.5.0 and 0.5.1. Can you create a bug for 'rebase to 0.5.2' if needed? We can continue discussion this issue there. With the rebase consul's dependencies get updated to newer commit.

Do you have other ideas how to improve consul? Add service files, update configuration, ...?

Kind Regards
Jan
Comment 8 Fedora Update System 2016-01-13 07:49:47 EST
golang-github-hashicorp-raft-0-0.4.gitd136cd1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-26c8482395
Comment 9 Fedora Update System 2016-01-13 07:49:51 EST
golang-github-hashicorp-raft-0-0.4.gitd136cd1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-4396fdbbed
Comment 10 Fedora Update System 2016-01-14 05:22:09 EST
golang-github-hashicorp-raft-0-0.4.gitd136cd1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-26c8482395
Comment 11 Fedora Update System 2016-01-14 06:25:25 EST
golang-github-hashicorp-raft-0-0.4.gitd136cd1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-ea8ac6c149
Comment 12 Fedora Update System 2016-01-15 14:53:42 EST
golang-github-hashicorp-raft-0-0.4.gitd136cd1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-4396fdbbed
Comment 13 Fedora Update System 2016-02-09 15:55:17 EST
golang-github-hashicorp-raft-0-0.4.gitd136cd1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2016-02-10 05:52:14 EST
golang-github-hashicorp-raft-0-0.4.gitd136cd1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.